%define uname   pkTriggerCord

%global commit0 c1177a4881f363455255866f6f6d8149574e4b35
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20220805

%define rel 1.%{date}git%{shortcommit0}

Summary:        Remote control program for Pentax DSLR cameras.
Name:           pktriggercord
Version:        0.85.00
Release:        %mkrel %{rel}
License:        LGPL-3
Group:          Applications/Tools
URL:            http://pktriggercord.melda.info/
Source:         https://github.com/asalamon74/pktriggercord/archive/%{commit0}/%{name}-%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
# Cherry picked from commits of https://github.com/indilib/indi-3rdparty/pull/936/commits
# commits: fd848d6 , 38affc5 (partial: first hunk)
Patch0:  indilib-fix_K20d-fix_no_cameras.patch
#Try changes from xboxboy
Patch1:  pktriggercord-fix-rules.patch


BuildRequires:  groff
BuildRequires:  gtk2-devel

Requires:       libcap-utils
Requires:		gvfs-gphoto2

%description
pkTriggerCord is a remote control program for Pentax DSLR cameras.

%prep
%autosetup -p1 -n %{name}-%{commit0}

# Disable setcap at build time, will set it in the %%post operation(rpm install)
sed -i -e "s/install -s/install/g" Makefile

# Disable udev rules install, will be handled separately
for i in install cd rm ln; do sed -i -e "/$i.*rules/ d" Makefile; done

%build
%make_build PREFIX="%{_prefix}" CFLAGS="%{optflags} -I\$(JSONDIR)" \
            LDFLAGS="%{ldflags} -lm" default pktriggercord_commandline.html

%install
%make_install PREFIX=%{_prefix} DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_udevrulesdir}
cp pentax.rules  %{buildroot}%{_udevrulesdir}/95-pentax-dslr.rules
cp samsung.rules %{buildroot}%{_udevrulesdir}/95-samsung-dslr.rules

%post
(which setcap && setcap CAP_SYS_RAWIO+eip %{_bindir}/pktriggercord-cli) || true
(which setcap && setcap CAP_SYS_RAWIO+eip %{_bindir}/pktriggercord) || true

%files
%license COPYING
%doc Changelog BUGS pktriggercord_commandline.html
%{_bindir}/pktriggercord*
%{_datadir}/pktriggercord/*
%{_mandir}/man1/pktriggercord*
%{_udevrulesdir}/95-pentax-dslr.rules
%{_udevrulesdir}/95-samsung-dslr.rules
